petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatCreateSubMatrixVirtual

Creates a virtual matrix that acts as a submatrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatCreateSubMatrixVirtual(Mat A,IS isrow,IS iscol,Mat *newmat)

Collective on Mat

### Input Parameters

| A | - matrix that we will extract a submatrix of
| isrow | - rows to be present in the submatrix
| iscol | - columns to be present in the submatrix

### Output Parameters

newmat -new matrix

### Notes

Most will use MatCreateSubMatrix which provides a more efficient representation if it is available.

### See Also

MatCreateSubMatrix(), MatSubMatrixVirtualUpdate()

### Level

developer

### Location

src/mat/impls/submat/submat.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages